[arch-commits] Commit in dragonfly-reverb/trunk (PKGBUILD)

David Runge dvzrv at archlinux.org
Wed Jul 1 08:28:26 UTC 2020


    Date: Wednesday, July 1, 2020 @ 08:28:24
  Author: dvzrv
Revision: 657287

upgpkg: dragonfly-reverb 3.2.0-1: Upgrading to 3.2.0.

Dropping export for libsamplerate (the plugins don't use it).

Modified:
  dragonfly-reverb/trunk/PKGBUILD

----------+
 PKGBUILD |   13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-01 08:00:19 UTC (rev 657286)
+++ PKGBUILD	2020-07-01 08:28:24 UTC (rev 657287)
@@ -2,19 +2,19 @@
 
 pkgname=dragonfly-reverb
 _name=DragonflyReverb
-pkgver=3.0.0
+pkgver=3.2.0
 pkgrel=1
 pkgdesc="A concert hall reverb and a room reverb"
 arch=('x86_64')
 url="https://michaelwillis.github.io/dragonfly-reverb/"
 license=('GPL3')
-groups=('pro-audio' 'lv2-plugins' 'vst-plugins')
+groups=('lv2-plugins' 'pro-audio' 'vst-plugins')
 depends=('gcc-libs' 'glibc' 'libglvnd' 'libx11')
 makedepends=('freeverb3' 'gendesk' 'jack' 'lv2')
 checkdepends=('lv2lint')
 optdepends=('jack: for standalone applications')
 source=("$pkgname-$pkgver.tar.gz::https://github.com/michaelwillis/${pkgname}/releases/download/${pkgver}/${_name}-Source-v${pkgver}.tar.gz")
-sha512sums=('624025ef410eaa4ddc7dd09d9d820cd3802713ca2c1c55102ca58180009357cfcaf5d13d5111dee46b86a5de06ba8cc31a63167de95d688b688ce4ea92c6721f')
+sha512sums=('1805990802db3651f27373b84981c52c306ac6587bc995699161d9e48f42f9da7a001539b08a4a9b2968a6558b54599e9e9d7541d1677bb64a71c0ed0beb00f6')
 _names=('DragonflyEarlyReflections' 'DragonflyHallReverb' 'DragonflyPlateReverb' 'DragonflyRoomReverb')
 
 prepare() {
@@ -46,7 +46,6 @@
 
 build() {
   cd "$pkgname-$pkgver"
-  export SYSTEM_LIBSAMPLERATE="true"
   export SYSTEM_FREEVERB3="true"
   make
 }
@@ -53,7 +52,11 @@
 
 check() {
   cd "$pkgname-$pkgver"
-  LV2_PATH="${PWD}/bin" lv2lint "https://github.com/michaelwillis/dragonfly-reverb" || echo "Known to fail: https://github.com/michaelwillis/dragonfly-reverb/issues/65"
+  # TODO: add the other plugins via -I flag as soon as lv2lint supports providing
+  # it multiple times
+  lv2lint -I "${PWD}/bin/${_names[1]}.lv2/" \
+          "https://github.com/michaelwillis/dragonfly-reverb" \
+          || echo "Known to fail: https://github.com/michaelwillis/dragonfly-reverb/issues/65"
 }
 
 package() {


More information about the arch-commits mailing list